#ifndef DATATHR_H
#define DATATHR_H

#include <stdio.h>
#include "counter.h"

namespace datathr {
	void	init();
	void	setSrvFile(FILE* f);
	void	setBlockNumber(int number);
	int		getBlockNumber(void);
	int		getNblock(void);
	void	setNcounters(int number);
	void	setCounters(Counter** p_counters);
	int		setBlockSize(int size);
	int		getNreadData(void);
	void	startCounting(void);
	void	setTimeout(bool tmout);
	bool	isTimeout(void);
	void	quitDataCycle(void);
	void	timeoutAction(void);
	void*	read_data(void);
	void	putData(void);
	void	waitData(void);
}

#endif
