#ifndef TRBSOCKET_H
#define TRBSOCKET_H

#include <string>

#define MOUNT_PORT  6001
#define MAX_COMID	100000
#define max_comid_len	10

namespace trbsocket {
	int init(void);
	void closeSocket(void);
	int newConnection(void);
	int getCommand(void);
	int sendToSV(int comid, const char* mess);
	int sendOK(int comid, int waitsec);
	int sendError(int comid);
	int socket_cycle(void);

	int extractInstruction(int i);
	int extractInstruction(string from, string& instruction, int& comid);
	void extractKeyword(string* intruction, string& keyword);
	int getParam(string* instruction, const char* paramName, string& paramValue);
}

#endif